import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This class defines a bug that lives on a wall.
 * 
 * @author Ed Parrish 
 * @version 1.0 
 */
public class Bug  extends Mover
{
    /**
     * Act - do whatever the Bug wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int flowersEaten;
    
    public Bug()
    {
        image1 = new GreenfootImage("images/bug-a.gif");
        image2 = new GreenfootImage("images/bug-b.gif");
        flowersEaten = 0;
    }
    
    
    public void act() 
    {
        //turnAtEdge();
        checkKeyPress();
       //move();
        lookForFlower();
        updateImage();
    }    

    /**
     * Check if a control key has been pressed and react.
     */
    public void checkKeyPress() {
        if (Greenfoot.isKeyDown("up"))
        {
            move(5);
        }
        if (Greenfoot.isKeyDown("down"))
        {
            move(-5);
        }
        if (Greenfoot.isKeyDown("right"))
        {
            turn(5);
        }
        if (Greenfoot.isKeyDown("left"))
        {
            turn(-5);
        }
    }

    /**
     * Turns at the edge of the world.
     */
    /**
    public void turnAtEdge()
    {
        if (atWorldEdge())
        {
            turn(17);
        }
    }
    **/

    /**
     * Checks whether we have stumbled upon a flower.
     * If we have, then eat it. Otherwise, do nothing.
     */
    public void lookForFlower()
    {
        if (canSee(Flower.class)) {
            flowersEaten += 1;
            eat(Flower.class);
            Greenfoot.playSound("slurp.wav");
            if (flowersEaten >= 5) {
                Greenfoot.playSound("sounds/success.wav");
                Greenfoot.stop();
            }
        }
    }
    
    public void updateImage() {
        if (getImage() == image1) 
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
    }
}
